Recent

Author Topic: Fpcupdeluxe  (Read 383491 times)

hunghung

  • Full Member
  • ***
  • Posts: 156
Re: Fpcupdeluxe
« Reply #1410 on: November 09, 2019, 08:15:33 pm »
Yes !
See included screenshot.

Please update your github release to add the new OpenIndiana binary, I couldn't found it  :)

DonAlfredo

  • Hero Member
  • *****
  • Posts: 1172
Re: Fpcupdeluxe
« Reply #1411 on: November 09, 2019, 10:44:56 pm »

hunghung

  • Full Member
  • ***
  • Posts: 156
Re: Fpcupdeluxe
« Reply #1412 on: November 10, 2019, 05:30:27 am »

Alextp

  • Hero Member
  • *****
  • Posts: 902
    • UVviewsoft
Re: Fpcupdeluxe
« Reply #1413 on: November 10, 2019, 01:52:22 pm »
OpenIndiana build-- thanks!
Do we have cross from Linux x64 to OpenIndiana? please. I want to compile CudaText for OI (w/out installing IO).

hunghung

  • Full Member
  • ***
  • Posts: 156
Re: Fpcupdeluxe
« Reply #1414 on: November 10, 2019, 04:29:01 pm »
OpenIndiana build-- thanks!
Do we have cross from Linux x64 to OpenIndiana? please. I want to compile CudaText for OI (w/out installing IO).

I think it's impossible now. Perhaps Don could invest on the sun-linker I posted above, if he could have it to work on Linux the binary linked by it will be compatible with OpenIndiana. The binary linked by GNU ld cross linker is, incompatible with OpenIndiana.

p/s: May I ask you a bit about CudaText? Is it a free and open source clone of Sublime Text?  :)

DonAlfredo

  • Hero Member
  • *****
  • Posts: 1172
Re: Fpcupdeluxe
« Reply #1415 on: November 10, 2019, 06:07:39 pm »
@Alextp
I will add the tools for Linux x86_64

@hunghung
The fpcupdeluxe OI-binary was build on Windows.
With patched binutils.
So, crossing from Linux towards OI should also be possible.

DonAlfredo

  • Hero Member
  • *****
  • Posts: 1172
Re: Fpcupdeluxe
« Reply #1416 on: November 10, 2019, 09:15:26 pm »
Release 1.6.4d
https://github.com/LongDirtyAnimAlf/fpcupdeluxe/releases/tag/1.6.4d

There was a regression in the Windows versions of the previous release. Sorry about this.
Also added OpenIndiana cross-target.

hunghung

  • Full Member
  • ***
  • Posts: 156
Re: Fpcupdeluxe
« Reply #1417 on: November 11, 2019, 02:47:14 am »
@Don: So you cross compiled everything from Windows?  :o It's great! I used to think you switched back and forth between a bunch of VMs  ;D I checked Fpcupdeluxe release, openbsd and dfbsd are the last pieces to make it truly available everywhere. Why don't you just fill the gap?  :-[

DonAlfredo

  • Hero Member
  • *****
  • Posts: 1172
Re: Fpcupdeluxe
« Reply #1418 on: November 11, 2019, 08:31:42 am »
@hunghung
One click in Windows -> 19 different binaries.
The developers of FPC and Lazarus have done an amazing job !!

I have added an OpenBSD binary for 1.6.4d

valdir.marcos

  • Hero Member
  • *****
  • Posts: 865
Re: Fpcupdeluxe
« Reply #1419 on: November 11, 2019, 12:29:49 pm »
@Don: So you cross compiled everything from Windows?  :o It's great! I used to think you switched back and forth between a bunch of VMs  ;D I checked Fpcupdeluxe release, openbsd and dfbsd are the last pieces to make it truly available everywhere. Why don't you just fill the gap?  :-[
@hunghung
One click in Windows -> 19 different binaries.
The developers of FPC and Lazarus have done an amazing job !!

I have added an OpenBSD binary for 1.6.4d
How to?

DonAlfredo

  • Hero Member
  • *****
  • Posts: 1172
Re: Fpcupdeluxe
« Reply #1420 on: November 11, 2019, 12:54:03 pm »
Quote
One click in Windows -> 19 different binaries.
By the use of cross-compilers.

Quote
I have added an OpenBSD binary for 1.6.4d
By the use of a VM with OpenBSD running on Windows.
Cross-compiling towards OpenBSD is not recommended by the OpenBSD developers themselves. Current binutils are not available.

hunghung

  • Full Member
  • ***
  • Posts: 156
Re: Fpcupdeluxe
« Reply #1421 on: November 11, 2019, 12:59:33 pm »
@Don: I tried the last Fpcupdeluxe binary for dfbsd. Fpcupdeluxe itself run fine but it can't compile due to linker issues and missing of units. But at least I have a clue about the linker problem. dfbsd use the gold linker by default, this linker is incompatible with fpc. I have to do a dirty trick: I renamed /usr/libexec/binutils227/elf/ld.gold to ld.old and /usr/libexec/binutils227/elf/ld.bfd to ld.gold, this time it worked pass to the linker issues but now it has issues with missing units. It seemed fpc is not ready on this platform.

hunghung

  • Full Member
  • ***
  • Posts: 156
Re: Fpcupdeluxe
« Reply #1422 on: November 11, 2019, 01:03:09 pm »
Quote
I have added an OpenBSD binary for 1.6.4d
By the use of a VM with OpenBSD running on Windows.
Cross-compiling towards OpenBSD is not recommended by the OpenBSD developers themselves. Current binutils are not available.
Yep, these folks use their own patched binutils :D
« Last Edit: November 12, 2019, 09:38:06 am by hunghung »

noname01

  • Newbie
  • Posts: 4
Re: Fpcupdeluxe
« Reply #1423 on: November 11, 2019, 05:11:11 pm »
I tried fpcupdeluxe-x86_64-darwin-cocoa 1.6.4d on macOS Catalina 10.15.1.
After gived execute permission with
chmod +x /fpcupdeluxe-x86_64-darwin-cocoa/Contents/MacOS/*
it worked fine.
FPC trunk r43438 + Lazarus trunk r62230 compile without errors.
FPC trunk from revision 43441 started to gives the following errors:

Compiling ./xforms/src/xforms.pp
xforms.pp(2910) Error: Error while assembling exitcode 1
xforms.pp(2910) Fatal: There were 2 errors compiling module, stopping
Fatal: Compilation aborted
<unknown>:0: error: Unfinished frame!
The installer encountered the following error:
Compilation of "BuildUnit_xforms.pp" failed
make[1]: *** [packages_smart] Error 2
make: *** [build-stamp.x86_64-darwin] Error 2
fpcupdeluxe: ERROR: FPCNativeInstaller (CleanModule: FPC): Error running make for FPC failed with exit code 512
. Details:
ERROR: Fpcupdeluxe fatal error !

fpcupdeluxe: info: FPC native builder: Using FPC bootstrap compiler with version: 3.0.4
fpcupdeluxe: Start of compile error summary.
xforms.pp(2910) Error: Error while assembling exitcode 1
fpcupdeluxe: Start of compile error summary.
xforms.pp(2910) Fatal: There were 2 errors compiling module, stopping
xforms.pp(2910) Error: Error while assembling exitcode 1
fpcupdeluxe: Start of compile error summary.
Fatal: Compilation aborted
xforms.pp(2910) Fatal: There were 2 errors compiling module, stopping
fpcupdeluxe: Start of compile error summary.
<unknown>:0: error: Unfinished frame!
fpcupdeluxe: Start of compile error summary.
fpcupdeluxe: Start of special error summary:
The installer encountered the following error:
Compilation of "BuildUnit_xforms.pp" failed
make[1]: *** [packages_smart] Error 2
fpcupdeluxe: Start of compile error summary.
fpcupdeluxe: ERROR: FPCNativeInstaller (CleanModule: FPC): Error running make for FPC failed with exit code 512
fpcupdeluxe: Done !!

Someone can confirm this?
Thanks.

DonAlfredo

  • Hero Member
  • *****
  • Posts: 1172
Re: Fpcupdeluxe
« Reply #1424 on: November 11, 2019, 05:18:01 pm »
Yep. Same error on 10.14 .